from bridgesprites import *
from random import *

class GameLevels(object):
    """ GameLevels on the screen."""
    def __init__(self):
        self.Level = 1
        self.BridgeMove = True
        self.LeftLimit = 10
        self.RightLimit = 500
        self.GameComplete = True

    def SetUpLevel(self, Level):
        
        self.ObsSprites = None
        print "Starting.... " + str(Level)
        
        self.Level = Level
        self.AllObs = []
        
        self.LevelDetail(Level)
        self.ObsSprites = pygame.sprite.RenderPlain(self.AllObs)
        
    def LevelDetail(self, Level):
        
        # Bridge Movement
        if Level==1:
            Obs1 = Box()
            Obs2 = Box()
            Obs1.gy = 200
            Obs2.gy = 400
            Obs1.LeftPos = 75 
            Obs2.LeftPos = 75
            self.BridgeMove = False
            self.AllObs.extend([Obs1,Obs2])
        elif Level==2:
            Obs1 = Box()
            Obs2 = Box()
            Obs3 = Box()
            Obs1.gy = 200
            Obs2.gy = 300
            Obs3.gy = 400
            Obs1.LeftPos = 75 
            Obs2.LeftPos = 75
            Obs3.LeftPos = 75
            self.BridgeMove = False
            self.AllObs.extend([Obs1,Obs2,Obs3])
            
        elif Level==3:
            Obs1 = Box()
            Obs2 = Box()
            Obs1.gy = 200
            Obs2.gy = 400
            Obs1.LeftPos = 75 
            Obs2.LeftPos = 75
            self.AllObs.extend([Obs1,Obs2])
            self.BridgeMove = True
        elif Level==4:
            Obs1 = Box()
            Obs2 = Box()
            Obs3 = Box()
            Obs4 = Box()            
            Obs1.gy = 50
            Obs2.gy = 50
            Obs3.gy = 150
            Obs4.gy = 150            
            Obs1.LeftPos = 25 
            Obs2.LeftPos = 145
            Obs3.LeftPos = 25 
            Obs4.LeftPos = 145            
            self.AllObs.extend([Obs1,Obs2,Obs3,Obs4])
            self.BridgeMove = True
        elif Level==5:
            self.LevelDetail(4)
            Obs1 = Box()
            Obs2 = Box()
            Obs3 = Box()
            Obs4 = Box()            
            Obs1.gy = 150
            Obs2.gy = 150
            Obs3.gy = 310
            Obs4.gy = 310            
            Obs1.LeftPos = 25 
            Obs2.LeftPos = 145
            Obs3.LeftPos = 25 
            Obs4.LeftPos = 145            
            self.AllObs.extend([Obs1,Obs2,Obs3,Obs4])
            self.BridgeMove = True
        elif Level==6:
            self.LevelDetail(5)
            Obs1 = Box()
            Obs2 = Box()
            Obs3 = Box()
            Obs4 = Box()            
            Obs1.gy = 270
            Obs2.gy = 270
            Obs3.gy = 440
            Obs4.gy = 440            
            Obs1.LeftPos = 25 
            Obs2.LeftPos = 145
            Obs3.LeftPos = 25 
            Obs4.LeftPos = 145            
            self.AllObs.extend([Obs1,Obs2,Obs3,Obs4])
            self.BridgeMove = True
        elif Level==7:
            Obs1 = Box()
            Obs2 = Box()
            Obs3 = Box()
            Obs4 = Box()            
            Obs1.gy = 50
            Obs2.gy = 200
            Obs3.gy = 350
            Obs4.gy = 500            
            Obs1.LeftPos = 25 
            Obs2.LeftPos = 65
            Obs3.LeftPos = 105 
            Obs4.LeftPos = 145            
            self.AllObs.extend([Obs1,Obs2,Obs3,Obs4])
            self.BridgeMove = True
        elif Level==8:
            Obs1 = Box()
            FB1 = Fireball()
            FB2 = Fireball()
            FB3 = Fireball()
            FB1.gx = 50
            FB2.gx = 450
            FB3.gx = 50
            FB1.gy = 50
            FB2.gy = 150
            FB3.gy = 350
            FB1.LeftPos = 0
            FB2.LeftPos = 0
            FB3.LeftPos = 0            
            Obs1.gy = 300            
            Obs1.LeftPos = 100
            self.AllObs.extend([Obs1,FB1,FB2,FB3])
            self.BridgeMove = True
        elif Level==9:
            Obs1 = MBox()
            Obs2 = MBox()
            Obs3 = MBox()
            Obs4 = MBox()            
            Obs1.gy = 200
            Obs2.gy = 400
            Obs3.gy = 100
            Obs4.gy = 300            
            Obs1.gx = 75 
            Obs2.gx = 75
            Obs3.gx = 550
            Obs4.gx = 550           
            self.BridgeMove = True
            self.AllObs.extend([Obs1,Obs2,Obs3,Obs4])
        elif Level==10:
            self.LevelDetail(9)
            Obs1 = MBox()
            Obs2 = MBox()
            Obs3 = MBox()
            Obs4 = MBox()            
            Obs1.gy = 180
            Obs2.gy = 380
            Obs3.gy = 80
            Obs4.gy = 280            
            Obs1.gx = 550
            Obs2.gx = 550
            Obs3.gx = 75
            Obs4.gx = 75           
            self.BridgeMove = True
            #self.AllObs.extend([Obs1,Obs2,Obs3,Obs4])
            self.AllObs.extend([Obs1,Obs4])
        elif Level>10 and Level<21:
            self.LevelDetail(Level-10)
            for j in range(1,(Level-5)):
                self.AddRandFireball()
        elif Level > 20 and Level<31:
            self.LeftLimit = 250
            self.RightLimit = 400
            self.LevelDetail(Level-9)
            self.BridgeMove = True
        elif Level > 30 and Level<41:
            self.LeftLimit = 300
            self.RightLimit = 400
            self.LevelDetail(Level-20)
            self.BridgeMove = True
            for j in range(1,(Level-9)):
                self.AddRandFireball()            
        elif Level == 41:
            self.GameComplete = True
    def AddRandFireball(self):
        FB1 = Fireball()
        FB1.gx = randint(75,500)
        FB1.gy = randint(65,500)
        FB1.LeftPos = 0
        self.AllObs.extend([FB1])