import pygame
from pygame.locals import *

class Man(pygame.sprite.Sprite):
    """ Man on the bridge."""
    def __init__(self):
        self.name = "Man"
        pygame.sprite.Sprite.__init__(self) #call Sprite intializer
        screen = pygame.display.get_surface()
        self.gx = 0
        self.gy = 0
        self.manup = pygame.image.load('media/man.bmp').convert()
        #self.mandown = pygame.image.load('media/man.bmp').convert()
        self.mandown = pygame.transform.flip(self.manup, 0 , 1)
        #self.man = pygame.image.load('media/man.bmp').convert()
        self.InitGFX()
    def update(self):
        self.rect.top = self.gy
        self.rect.left = self.gx
    def InitGFX(self):
        self.image = self.manup
        self.image.set_colorkey(self.image.get_at((0,0)), RLEACCEL)
        self.rect = self.image.get_rect()
    def FlipV(self, direction):
        if direction == "up":
          self.image = self.manup
          self.image.set_colorkey(self.image.get_at((0,0)), RLEACCEL)
        else:
          self.image = self.mandown
          self.image.set_colorkey(self.image.get_at((0,0)), RLEACCEL)
        
class Box(pygame.sprite.Sprite):
    """ Box on the bridge."""
    def __init__(self):
        self.name = "Box"
        pygame.sprite.Sprite.__init__(self) #call Sprite intializer
        screen = pygame.display.get_surface()
        self.gx = 0
        self.gy = 0
        self.box = pygame.image.load('media/box.bmp').convert()
        self.InitGFX()
    def update(self):
        self.rect.top = self.gy
        self.rect.left = self.gx
    def InitGFX(self):
        self.image = self.box
        self.image.set_colorkey(self.image.get_at((0,0)), RLEACCEL)
        self.rect = self.image.get_rect()

class MBox(pygame.sprite.Sprite):
    """ MBox on the bridge."""
    def __init__(self):
        self.name = "XMBox"
        pygame.sprite.Sprite.__init__(self) #call Sprite intializer
        screen = pygame.display.get_surface()
        self.gx = 420
        self.gy = 0
        self.box = pygame.image.load('media/mbox.bmp').convert()
        self.InitGFX()
        self.xmove = 3
        self.limits = screen.get_rect()
        self.limits.left = 50
        self.limits.width = 550
    def update(self):
        if (self.gx + self.xmove)>self.limits.width : self.xmove = self.xmove * -1
        elif (self.gx + self.xmove)<self.limits.left : self.xmove = self.xmove * -1
        self.gx +=self.xmove
        self.rect.top = self.gy
        self.rect.left = self.gx
    def InitGFX(self):
        self.image = self.box
        self.image.set_colorkey(self.image.get_at((0,0)), RLEACCEL)
        self.rect = self.image.get_rect()

class Fireball(pygame.sprite.Sprite):
    """ Fireball on the screen."""
    def __init__(self):
        self.name = "XFireball"
        pygame.sprite.Sprite.__init__(self) #call Sprite intializer
        screen = pygame.display.get_surface()
        self.gx = 0
        self.gy = 0
        self.box = pygame.image.load('media/mbox2.bmp').convert()
        self.InitGFX()
        self.limits = screen.get_rect()
        self.xmove = 4
        self.ymove = 4
    def update(self):
        
        if (self.gx + self.xmove)>self.limits.width : self.xmove = self.xmove * -1
        elif (self.gx + self.xmove)<self.limits.left : self.xmove = self.xmove * -1
        self.gx +=self.xmove
        
        if (self.gy + self.ymove)>self.limits.height : self.ymove = self.ymove * -1
        elif (self.gy + self.ymove)<self.limits.top : self.ymove = self.ymove * -1
        self.gy +=self.ymove
        
        self.rect.top = self.gy
        self.rect.left = self.gx
    def InitGFX(self):
        self.image = self.box
        self.image.set_colorkey(self.image.get_at((0,0)), RLEACCEL)
        self.rect = self.image.get_rect()

class Treasure(pygame.sprite.Sprite):
    """ Box on the bridge."""
    def __init__(self):
        self.name = "Treasure"
        pygame.sprite.Sprite.__init__(self) #call Sprite intializer
        screen = pygame.display.get_surface()
        self.gx = 0
        self.gy = 0
        self.box = pygame.image.load('media/treasure.bmp').convert()
        self.InitGFX()
    def update(self):
        self.rect.top = self.gy
        self.rect.left = self.gx
    def InitGFX(self):
        self.image = self.box
        self.image.set_colorkey(self.image.get_at((0,0)), RLEACCEL)
        self.rect = self.image.get_rect()
